// file: mm_cstr_2.cc
//

// isip include files
//
#include "memory_manager.h"
#include "memory_manager_constants.h"

// method: constructor
//
// arguments:
//  int_4 grow_size : (input) the grow size for all other items
//  int_4 node_grow_size : (input) the grow size for link list nodes
//
// return: none
//
// this is an overloaded constructor
//
Memory_manager::Memory_manager(int_4 grow_size_a, int_4 node_grow_size_a) {

  // set the counts
  //
  node_count_d = (int_4)0;
  
  // set the total numbers generated
  //
  num_node_d = (int_4)0;
  
  // reset the block sizes
  //
  node_grow_size_d = node_grow_size_a;
  
  // initialize the lists
  //
  node_list_d = (Link_node*)NULL;
  
  // exit gracefully
  //
}
