// file: $USFS/util/segment_image/v1.0/segment_image_constants.h
//
 
// make sure this file is only included once
//
#ifndef __ISIP_SEGMENT_IMAGE_CONSTANTS
#define __ISIP_SEGMENT_IMAGE_CONSTANTS

// isip include files
//
#ifndef __ISIP_INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

// define the help file
//
#define SI_HELP_FILE "$USFS/util/segment_image/v6.2/segment_image.help"

// define command line identifiers
//
#define SI_OPT_A (char_1*)"-param"
#define SI_OPT_B (char_1*)"-out_ext"
#define SI_OPT_C (char_1*)"-debug"
#define SI_OPT_D (char_1*)"-seg"
#define SI_OPT_E (char_1*)"-output_data"

// define default option
//
#define SI_DEFAULT_OUTPUT_OPTION (char_1*)"stdout"

// define print format
//
#define SI_PRINT_FORMAT_A "# parameter file = %s\n"

// define the number of parameter files
//
#define SI_MAX_NUMBER_MODELS (int_4)6

// define comment character
//
#define SI_COMMENT_CHAR '#'

// end of file
//
#endif

