// file: ll_manager_0.cc
//

// isip include files
//
#include "link_list.h"
#include "link_list_constants.h"

// method: set_manager_cc
//
// arguments:
//  Memory_manager* manager : (input) pointer to memory manager
//
// return:  a logical_1 indicating success
//
// this method sets the memory manager for the linked lists
//
logical_1 Link_list::set_manager_cc(Memory_manager* manager_a) {

  // set the memory manager
  //
  manager_d = manager_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
