// file: ll_prev_1.cc
//

// isip include files
//
#include "link_list.h"
#include "link_list_constants.h"

// method: get_prev_cc
//
// arguments:
//  Link_node* node : (input) the reference node
//
// return: a Link_node* pointer to prev node of the given node
//
// this method gets the prev node for the specified node of the linked
// list
//
Link_node* Link_list::get_prev_cc(Link_node* node_a) {

  // get the prev node and return
  //
  return node_a->get_prev_cc();
}
