// file: mm_cstr_3.cc
//

// isip include files
//
#include "memory_manager.h"
#include "memory_manager_constants.h"

// method: constructor
//
// arguments:
//  const Memory_manager& manager : (input) the memory manager to copy
//
// return: none
//
// this is a copy constructor
//
Memory_manager::Memory_manager(const Memory_manager& manager_a) {

  // copy the counts
  //
  node_count_d = manager_a.node_count_d;
  
  // copy the total numbers generated
  //
  num_node_d = manager_a.num_node_d;
  
  // copy the block sizes
  //
  node_grow_size_d = manager_a.node_grow_size_d;
  
  // copy the list pointers
  //
  node_list_d = manager_a.node_list_d;
  
  // exit gracefully
  //
}
